## org.red5.server.api.stream
Interface IStreamPlaybackSecurity

All Known Implementing Classes:
  DenyAllStreamAccess

    public interface IStreamPlaybackSecurity

Interface for handlers that control access to stream playback.

Author:
  The Red5 Project (red5@osflash.org), Joachim Bauch (jojo@struktur.de)

Method Summary
`boolean` `isPlaybackAllowed(IScope scope, String name, int start, int length, boolean flushPlaylist)` Check if playback of a stream with the given name is allowed.

Method Detail

### isPlaybackAllowed

    boolean isPlaybackAllowed(IScope scope,
                              String name,
                              int start,
                              int length,
                              boolean flushPlaylist)

  Check if playback of a stream with the given name is allowed.

  Parameters:
    `scope` - Scope the stream is about to be played back from.
    `name` - Name of the stream to play.
    `start` - Position to start playback from (in milliseconds).
    `length` - Duration to play (in milliseconds).
    `flushPlaylist` - Flush playlist?
  Returns:
    `True` if playback is allowed, otherwise `False`

Copyright © 2006-2010 The Red5 Project